#region Copyright Syncfusion Inc. 2001 - 2015
// Copyright Syncfusion Inc. 2001 - 2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Interactivity;

using System.IO;
using Syncfusion.UI.Xaml.CellGrid;
using Syncfusion.UI.Xaml.Grid.Utility;
using Syncfusion.UI.Xaml.Spreadsheet;

namespace SpreadsheetDemo.Behavior
{
    class ImportBehavior : Behavior<SfSpreadsheet>
    {
        private MainWindow window;
        protected override void OnAttached()
        {
            this.AssociatedObject.Loaded += AssociatedObject_Loaded;
           
          
         
        }

   

     

        void AssociatedObject_Loaded(object sender, System.Windows.RoutedEventArgs e)
        {
            window = AssociatedObject.FindDescendant<MainWindow>() as MainWindow;
            try
            {
                using (var fileStream = new FileStream(@"..\..\Data\GettingStarted.xlsx", FileMode.Open))
                {
                    this.AssociatedObject.Open(fileStream);
                }
            }
            catch (Exception)
            { }
        }

        protected override void OnDetaching()
        {
            window = null;
            this.AssociatedObject.Loaded -= AssociatedObject_Loaded;
           
            
        }
    }
}
